Bug 11002 - default modifyFunctionKeys:2 does not match terminfo entry
: default modifyFunctionKeys:2 does not match terminfo entry
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xterm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-03 13:34 by
Modified: 2007-04-25 12:56 (History)


Attachments
Устанавливает ресурс modifyFunctionKeys в ноль по умолчанию (533 bytes, patch)
2007-03-13 14:01, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-03 13:35:12
В xterm-224-alt1.1 появился ресурс modifyFunctionKeys, устанавливаемый по
умолчанию в 2. В результате коды клавиш F1..F4 с модификаторами
(Shift/Ctrl/Alt)
перестали соответствовать описанию xterm из terminfo-5.6-alt1. Так, в описании
xterm из terminfo указано kf13=\EO2P, kf14=\EO2Q, kf15=\EO2R, kf16=\EO2S (это
Shift+F{1..4}), в то время как новая версия xterm выдаёт kf13=\E[1;2P,
kf14=\E[1;2Q, kf15=\E[1;2R, kf16=\E[1;2S.

Что ещё более неприятно - изменением информации terminfo проблема не
устраняется
как минимум в vim; помогает только установка *VT100.modifyFunctionKeys: 0 для
возврата к старому поведению.
------- Comment #1 From 2007-03-13 14:01:00 -------
Created an attachment (id=1855) [details]
Устанавливает ресурс modifyFunctionKeys в ноль по умолчанию

Цепляю патч, который должен вернуть старое поведение. Патч не тестировал, так
как не знаю как это проверить. Сергей, ты мог бы проверить патч, прежде чем
Дамир отправит это в Сизиф?
------- Comment #2 From 2007-03-13 14:28:23 -------
(In reply to comment #1)
> Created an attachment (id=1855) [edit] [details]
> Устанавливает ресурс modifyFunctionKeys в ноль по умолчанию

Нужно ещё как минимум внести соответствующие изменения в текст man-страницы.

Проверить можно, например, запустив vim без дополнительных настроек (vim -u NONE
-N) - в режиме вставки клавиши F1..F4 с модификаторами Shift/Ctrl/Alt должны
вставлять текст вида <S-F1>, <C-F2> и т.п. (за исключением Ctrl+F1 - по этой
комбинации по умолчанию вызывается :help, как и по F1; для остальных клавиш по
умолчанию ничего не назначено).  При установке modifyFunctionKeys:2 это не
работает (вместо вставки текста выполняются какие-то странные действия).
------- Comment #3 From 2007-03-13 15:25:22 -------
(In reply to comment #2)
> (In reply to comment #1)
> > Created an attachment (id=1855) [edit] [details] [edit]
> > Устанавливает ресурс modifyFunctionKeys в ноль по умолчанию
> 
> Нужно ещё как минимум внести соответствующие изменения в текст man-страницы.

Хорошо. Учел.

[...]

Спасибо за пример и объяснения. Патч протестировал, у меня всё работает, как и
должно. nosrc.rpm отправлена Дамиру, фикс скоро будет в Сизифе.

------- Comment #4 From 2007-03-21 16:23:21 -------
Fixed in xterm-224-alt2.1